Marketplace Plugins are not loaded

Answered

Hello, I'm working for a company and I currently have access to https://plugins.jetbrains.com/ but inside IntelliJ, when I browse the Marketplace, it says:

Marketplace Plugins are not loaded
Check the internet connection and try again

How can I configure it to be able to browse and download?

Thank you

4
89 comments

Make sure the same proxy server is configured in the IDE https://www.jetbrains.com/help/idea/settings-http-proxy.html as in your web browser.

6

Hi, I'm having this issue as well - no plugins are loaded, check the internet connection

I enabled auto-proxy and tested for connection but that doesn't fix the issue

 

 

 

Any idea what I should do?

I'm using ultimate intellij version 2019.2.2 build 192.6603.28

Thanks!

 

 

3

It looks like you have the old -Djsse.enableSNIExtension=false VM option present in the .vmoptions file: https://intellij-support.jetbrains.com/hc/articles/206544869. Please remove it.

3

The Auto-detect proxy settings worked. Thank you Serge

2

Same as @Fehmiselcuk06, I have the list of plugins but when i select one it can't display the content of the plugin or install it..

1

Fehmiselcuk06 We cannot provide any ETA at this point, sorry. Our marketplace team is mostly in the EU time zone and they are not available at the moment. It may take several hours.

1

@Fehmiselcuk06 This issue should be fixed. You could download the plugins now.

1

Please add the following in Help | Debug Log Settings:

#com.intellij.util.io.HttpRequests
#com.intellij.util.proxy.CommonProxy

Reproduce the issue, check the logs for the more detailed errors: https://intellij-support.jetbrains.com/hc/articles/207241085 .

Upload the logs per https://uploads.services.jetbrains.com/ and provide the file name so that we can review them.

Make sure you DON'T have -Djsse.enableSNIExtension=false added in Help | Edit Custom VM Options.

0

Uploaded log file with the following name, thanks

intellij-plugins.log


2019-09-19 11:24:02,064 [344393717] DEBUG - ntellij.util.proxy.CommonProxy - CommonProxy.select called for socket://plugins.jetbrains.com:443
2019-09-19 11:24:02,064 [344393717] DEBUG - ntellij.util.proxy.CommonProxy - CommonProxy.select returns custom proxy for socket://plugins.jetbrains.com:443, [DIRECT]
2019-09-19 11:24:02,187 [344393840] INFO - .ide.plugins.PluginManagerMain - Main plugin repository is not available ('SSL error probably caused by disabled SNI'). Please check your network settings.
0

This is now fixed for me after seeing https://youtrack.jetbrains.com/v2/issue/IDEA-174054?_ga=2.170325028.547883027.1568875072-795381806.1561619906.

'remove -Djsse.enableSNIExtension=false under Help > Edit Custom VM Options' and a restart did the trick.

Thanks!

0

I have the same issue with PhpStorm 2019.3.2. In the proxy view, the "check connection" works. These are my VM Options:

-Xms128m
-Xmx2048m
-XX:ReservedCodeCacheSize=240m
-XX:+UseConcMarkSweepGC
-XX:SoftRefLRUPolicyMSPerMB=50
-ea
-XX:CICompilerCount=2
-Dsun.io.useCanonPrefixCache=false
-Djava.net.preferIPv4Stack=true
-Djdk.http.auth.tunneling.disabledSchemes=""
-XX:+HeapDumpOnOutOfMemoryError
-XX:-OmitStackTraceInFastThrow
-Djdk.attach.allowAttachSelf=true
-Dkotlinx.coroutines.debug=off
-Djdk.module.illegalAccess.silent=true
-XX:+UseCompressedOops
-Dfile.encoding=UTF-8

-XX:ErrorFile=$USER_HOME/java_error_in_phpstorm_%p.log
-XX:HeapDumpPath=$USER_HOME/java_error_in_phpstorm.hprof
0

Looks like i have same problem. I changed debug log settings and uploaded compressed logs (phpstorm-logs-20200127-182457.zip). 

0

Serge Baranov see it:

phpstorm-logs-20200127-184032.zip

 

Thanks

0

Michalpietryka The issue seems to be caused by the special character in your user name:

Caused by: java.nio.file.InvalidPathException: Illegal char <?> at index 14: C:\Users\Micha?\AppData\Local\JetBrains\Toolbox\apps\PhpStorm\ch-0\193.5662.63.plugins\extensions.xml

Try relocating the plug-ins folder via Help | Edit Custom VM Options, adjust the location in -Didea.plugins.path option so that it's outside of your user directory.

Masterix21 you may have an issue with the permissions, try to delete `/Users/luca/Library/Application Support/PhpStorm2019.3/` directory and then install the plug-ins again after restarting the IDE.

0

Serge Baranov Thank you, problem is now solved, but i did not have that issue in previouse version of PhpStorm. 

0

I'm using Mackup to keep synced my settings and plugins on all my Apple computers. 

I have seen the log and seem that the symlink created by Mackup causes the problem.

Can you confirm it? There is a solution?

0

It's recommended to use account sync instead of the third-party solutions for JetBrains products: https://www.jetbrains.com/help/idea/sharing-your-ide-settings.html#IDE_settings_sync .

0

Just updated pycharm from 2019.3 to 2019.3.2

And was facing the same problem. Checked logs, guessed the problem is caused because of the russian letters in path, did as it said in this  https://intellij-support.jetbrains.com/hc/en-us/community/posts/360004275380/comments/360001329319 comment and it did the trick.

But my question is... why is that a problem? I've never had such problems for more that 2 years of daily use of pyCharm and than all of a sudden it's a problem?

 

P.S. Comment actions -> permalink, "Copy" button is not working for me.

0

I'm getting an error trying to browse plugins in IDEA that prevents it from working.  Clicked the "Browse repositories..." button in IntelliJ IDEA 12.1.8 Build 129.1561 (Ultimate).  The error is:

List of plugins was not loaded: The element type "hr" must be terminated by the matching end-tag "</hr>"., Unexpected end of file from server

Will you please assist?  Thanks!

 

0

Thanks for the report, we are looking into this problem. Please note that IDE versions 14+ are not affected. Is there any chance you can upgrade to a more recent version?

0

Serge, Thanks for looking into the issue and getting back with me.  :-)

> IDE versions 14+ are not affected. Is there any chance you can upgrade to a more recent version?

The version I use [IDEA 12.1.8 Ultimate] uses a purchased license.  If the new version of Ultimate is covered by my standing paid-for license (is free), then I can upgrade.  However, if a newer version requires another purchase, then no, I cannot upgrade at this time - unless I use the Community Edition instead.

0

It's a paid upgrade, you will need to wait until the issue is resolved on the server side.

0

> you will need to wait until the issue is resolved on the server side

Thanks for the info Serge!

0

We've forced HTTPS for all our hosts and IntelliJ IDEA 12 still uses HTTP to access plug-ins, it doesn't support redirects to HTTPS, hence the problem.

As a workaround you need to edit IDEA_HOME\bin\idea.properties file and add the following line there (forcing IDE to use HTTPS to access plug-ins):

idea.plugins.host=https://plugins.jetbrains.com

Restart IntelliJ IDEA and see if it helps.

0

> As a workaround [...] edit IDEA_HOME\bin\idea.properties file and add [...] idea.plugins.host

Different error now:

List of plugins was not loaded: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target, Unexpected end of file from server

(If that's due to the corporate firewall then I can try outside it later.)

0

Yes, if your proxy is using a self signed certificate, you will need to install it into the JDK that is used to run IntelliJ IDEA, see https://intellij-support.jetbrains.com/hc/en-us/community/posts/115000094584-IDEA-Ultimate-2016-3-4-throwing-unable-to-find-valid-certification-path-to-requested-target-when-trying-to-refresh-gradle?page=1#community_comment_115000405564 .

If it's not self signed, the JDK may be missing the root CA, so switching to a more recent JDK version may also help: https://intellij-support.jetbrains.com/hc/articles/206544879 (will need to use environment variables approach since the Choose Runtime plug-in will not work with your IDE version).

0

Exited IDEA.  Exported the topmost certificate using a browser and imported it using keytool from jdk1.8.0_241 per the community post instructions.  Verified that the owner and issuer are my company.  Started IDEA.  Still get the SunCertPathBuilderException error.  I'll try outside the corporate network tomorrow.

0

Please sign in to leave a comment.